# SourcePath: acl/20170118dev
Summary: Dynamic library for access control list support.
Name: sony-target-dev-acl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-acl
Version: 2.2.52
Release: 12010001
Source : acl_%{version}.tar.gz
Patch1: acl-fix-the-order-of-expected-output-of-getfacl.patch
License: GPL2 / LGPL2.1
URL: http://git.savannah.gnu.org/cgit/acl.git
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n %{pkgname}
Summary: Dynamic library for access control list support.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.


%prep
%setup -n acl-%{version}
%patch1 -p1

%build
%sony_target_dev_setup
LIBTOOL="%{sony_target_dir}%{sony_target_dev_bin_dir}/libtool"
LIBUUID="%{sony_target_dir}%{sony_target_dev_lib_dir}/libuuid.a"
LIBATTR_LA=`pwd`/local-libattr.la
export LIBTOOL LIBUUID LIBATTR_LA
#autoconf
./configure \
	--host=%{sony_target_config} \
        --build=%{sony_host_config} \
	--prefix=%{sony_target_dev_prefix} \
        --exec_prefix=%{sony_target_dev_exec_prefix} \
#        --libdir=%{sony_target_dev_dir}/lib \
        --libexecdir=%{sony_target_dev_lib_dir} \
        --sbindir=%{sony_target_dev_dir}/sbin \
        --bindir=%{sony_target_dev_bin_dir} \
        --includedir=%{sony_target_dev_include_dir} \
        | tee build.log

make 


%install
%sony_target_dev_setup
rm -rf %{buildroot}

DIST_ROOT=%{buildroot}%{sony_target_dir}
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest

export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
make install \
  prefix=%{sony_target_dev_prefix} \
  exec_prefix=%{sony_target_dev_exec_prefix} \
  bindir=%{sony_target_dev_bin_dir} \
  sbindir=%{sony_target_dev_dir}/sbin \
  sysconfdir=%{sony_target_dev_sysconf_dir} \
  datadir=%{sony_target_dev_data_dir} \
  includedir=%{sony_target_dev_include_dir} \
  libdir=%{sony_target_dev_dir}/lib \
  libexecdir=%{sony_target_dev_lib_dir} \
  localstatedir=%{sony_target_dev_localstate_dir} \
  sharedstatedir=%{sony_target_dev_sharedstate_dir} \
  mandir=%{sony_target_dev_man_dir} \
  infodir=%{sony_target_dev_info_dir} \
  DIST_MANIFEST="$DIST_INSTALL"

make install-dev \
  prefix=%{sony_target_dev_prefix} \
  exec_prefix=%{sony_target_dev_exec_prefix} \
  bindir=%{sony_target_dev_bin_dir} \
  sbindir=%{sony_target_dev_dir}/sbin \
  sysconfdir=%{sony_target_dev_sysconf_dir} \
  datadir=%{sony_target_dev_data_dir} \
  includedir=%{sony_target_dev_include_dir} \
  libdir=%{sony_target_dev_dir}/lib \
  libexecdir=%{sony_target_dev_lib_dir} \
  localstatedir=%{sony_target_dev_localstate_dir} \
  sharedstatedir=%{sony_target_dev_sharedstate_dir} \
  mandir=%{sony_target_dev_man_dir} \
  infodir=%{sony_target_dev_info_dir} \
  DIST_MANIFEST="$DIST_INSTALL_DEV"

make install-lib \
  prefix=%{sony_target_dev_prefix} \
  exec_prefix=%{sony_target_dev_exec_prefix} \
  bindir=%{sony_target_dev_bin_dir} \
  sbindir=%{sony_target_dev_dir}/sbin \
  sysconfdir=%{sony_target_dev_sysconf_dir} \
  datadir=%{sony_target_dev_data_dir} \
  includedir=%{sony_target_dev_include_dir} \
  libdir=%{sony_target_dev_dir}/lib \
  libexecdir=%{sony_target_dev_lib_dir} \
  localstatedir=%{sony_target_dev_localstate_dir} \
  sharedstatedir=%{sony_target_dev_sharedstate_dir} \
  mandir=%{sony_target_dev_man_dir} \
  infodir=%{sony_target_dev_info_dir} \
  DIST_MANIFEST="$DIST_INSTALL_LIB"

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}

# nuke .la files, etc
rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib/libacl.la
rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib/libacl.a

rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libacl.la

# fix links to shared libs and permissions
#rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libacl.so
#ln -s ../../lib/libacl.so %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libacl.so
#chmod 0755 %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib/libacl.so.*.*.*
chmod 0755 %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libacl.so.*.*.*

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/libacl.a
rm %{buildroot}%{sony_target_dir}%{sony_target_dev_libexec_dir}/libacl.so
rm %{buildroot}%{sony_target_dir}%{sony_target_dev_libexec_dir}/libacl.la

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_libexec_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_dev_libexec_dir}/$l \
		%{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/$l
    fi
done
 
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/include %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}
%{sony_target_dir}%{sony_target_dev_include_dir}/acl/libacl.h
%{sony_target_dir}%{sony_target_dev_include_dir}/sys/acl.h
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libacl.a

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Wed Feb 01 2017 Sony Corporatio
- Added acl-fix-the-order-of-expected-output-of-getfacl.patch from jethro

* Wed Jan 18 2017 Sony Corporation
- acl 2.2.39 -> 2.2.52

* Mon Apr 20 2009 Sony Corporation
- Updated to 6.x 

* Mon Aug 07 2006 Sony Corporation
- Initial build
